OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepElement

# StepElement_HArray2OfSurfaceElementPurposeMember Class Reference

`#include <StepElement_HArray2OfSurfaceElementPurposeMember.hxx>`

## Public Member Functions
Standard_EXPORT | StepElement_HArray2OfSurfaceElementPurposeMember (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | StepElement_HArray2OfSurfaceElementPurposeMember (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Handle(StepElement_SurfaceElementPurposeMember)&V)
Standard_EXPORT void | Init (const Handle(StepElement_SurfaceElementPurposeMember)&V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(StepElement_SurfaceElementPurposeMember)&Value)
Standard_EXPORT const Handle_StepElement_SurfaceElementPurposeMember & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT Handle_StepElement_SurfaceElementPurposeMember & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const StepElement_Array2OfSurfaceElementPurposeMember & | Array2 () const
StepElement_Array2OfSurfaceElementPurposeMember & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepElement_Array2OfSurfaceElementPurposeMember | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_HArray2OfSurfaceElementPurposeMember::StepElement_HArray2OfSurfaceElementPurposeMember | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT StepElement_HArray2OfSurfaceElementPurposeMember::StepElement_HArray2OfSurfaceElementPurposeMember | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Handle(StepElement_SurfaceElementPurposeMember)& | V
| ) |

## Member Function Documentation

const StepElement_Array2OfSurfaceElementPurposeMember& StepElement_HArray2OfSurfaceElementPurposeMember::Array2 | ( |  | ) | const

StepElement_Array2OfSurfaceElementPurposeMember& StepElement_HArray2OfSurfaceElementPurposeMember::ChangeArray2 | ( |  | ) |

Standard_EXPORT Handle_StepElement_SurfaceElementPurposeMember& StepElement_HArray2OfSurfaceElementPurposeMember::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer StepElement_HArray2OfSurfaceElementPurposeMember::ColLength | ( |  | ) | const

Standard_EXPORT const StepElement_HArray2OfSurfaceElementPurposeMember::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_HArray2OfSurfaceElementPurposeMember::Init | ( | const Handle(StepElement_SurfaceElementPurposeMember)& | V | ) |

Standard_Integer StepElement_HArray2OfSurfaceElementPurposeMember::LowerCol | ( |  | ) | const

Standard_Integer StepElement_HArray2OfSurfaceElementPurposeMember::LowerRow | ( |  | ) | const

Standard_Integer StepElement_HArray2OfSurfaceElementPurposeMember::RowLength | ( |  | ) | const

void StepElement_HArray2OfSurfaceElementPurposeMember::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(StepElement_SurfaceElementPurposeMember)& | Value
| ) |

Standard_Integer StepElement_HArray2OfSurfaceElementPurposeMember::UpperCol | ( |  | ) | const

Standard_Integer StepElement_HArray2OfSurfaceElementPurposeMember::UpperRow | ( |  | ) | const

Standard_EXPORT const Handle_StepElement_SurfaceElementPurposeMember& StepElement_HArray2OfSurfaceElementPurposeMember::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

StepElement_Array2OfSurfaceElementPurposeMember StepElement_HArray2OfSurfaceElementPurposeMember::myArray`[private]`

The documentation for this class was generated from the following file:

- StepElement_HArray2OfSurfaceElementPurposeMember.hxx